.\" $NetBSD: mount_filecore.8,v 1.12 2004/06/25 14:46:47 wiz Exp $
.\"
.\" Copyright (c) 1998 Mark Brinicombe
.\" Copyright (c) 1993,1994 Christopher G. Demetriou
.\" All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. All advertising materials mentioning features or use of this software
.\"    must display the following acknowledgement:
.\"      This product includes software developed by Christopher G. Demetriou.
.\" 4. The name of the author may not be used to endorse or promote products
.\"    derived from this software without specific prior written permission
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
.\" IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
.\" OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
.\" IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
.\" INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
.\" NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
.\" DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
.\" THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
.\" (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
.\" THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
.\"
.Dd June 25, 2004
.Dt MOUNT_FILECORE 8
.Os
.Sh NAME
.Nm mount_filecore
.Nd mount a FILECORE file system
.Sh SYNOPSIS
.Nm
.Op Fl afnR
.Op Fl g Ar gid
.Op Fl o Ar options
.Op Fl u Ar uid
.Pa special node
.Sh ORIGIN
The
.Nx
FILECORE filesystem is a read only implementation of the filecore file system
found in Acorn Computers RISC OS operating system.
This operating system is the ROM based operating system
found on their ARM 6, ARM7 and StrongARM 110 based RiscPC machines
that are supported by the arm32 port.
Under RISC OS, filecore will have multiple instantiations for file
systems on different block devices such as floppies, IDE discs, SCSI discs
etc. and these frequently are considered to be different filesystems
e.g. ADFS, IDEFS, SCSIFS etc.
.Sh DESCRIPTION
The
.Nm
command attaches the FILECORE filesystem residing on
the device
.Pa special
to the global filesystem namespace at the location
indicated by
.Pa node .
Both
.Ar special
and
.Ar node
are converted to absolute paths before use.
This command is normally executed by
.Xr mount 8
at boot time, but can be used by any user to mount a
FILECORE file system on any directory that they own (provided,
of course, that they have appropriate access to the device that
contains the file system).
.Pp
The options are as follows:
.Bl -tag -width Ds
.It Fl a
Give all files world access.
.It Fl f
Append the filetype to each filename.
This option currently has no effect.
.It Fl g Ar gid
Set the group of the files in the file system to
.Ar gid .
The default group is the group of the directory
on which the file system is being mounted.
.It Fl n
Give all files owner access.
.It Fl o Ar options
Use the specified mount
.Ar options ,
as described in
.Xr mount 8 .
.It Fl R
Give all files owner read access.
.It Fl u Ar uid
Set the owner of the files in the file system to
.Ar uid .
The default owner is the owner of the directory
on which the file system is being mounted.
.El
.Sh SEE ALSO
.Xr mount 2 ,
.Xr unmount 2 ,
.Xr fstab 5 ,
.Xr mount 8
.Sh HISTORY
The
.Nm
utility first appeared in
.Nx 1.4 .
.Sh CAVEATS
The
.Sq filecore
filesystem currently supports the Acorn filecore file system found on
Acorn Computers RiscPC desktop machines with versions of RISC OS up to 3.70.
